// Copyright (c) 1996-1997 Jeremy Wyld. All rights reserved.
/* For best viewing pleasure set the font to: Courier 10pt with 3 space tabs */


DefConst('kAdditionalRouteFrames, _AllRouteFrames);		// DO NOT TOUCH!

GetRouteScripts := func(a) begin

	local b := Perform(self, 'oldRoute, [a]);					// Do the old routing stuff.
	
	if NOT IsArray(b) then
		b:='[];															// There was no routing so create it.
		
	b := Clone(b);														// Get it ready to add more to it.
	
	ArrayMunger(b, Length(b), 0, kAdditionalRouteFrames, 0, NIL);	// Add the extra items.
	
	b;																		// Return the "fixed up" routing array.
end;		// end func GetRouteScripts()

DefConst('kGetRouteScriptsFunc, GetRouteScripts);
