// Copyright (c) 1996-1997 Jeremy Wyld. All rights reserved.
/* For best viewing pleasure set the font to: Courier 10pt with 3 space tabs */


vars.KnownGlobalFunctions.DeclareGlobalFn := 2;

DefConst('kOpenThingFunc, func(what) begin

	local r := GetRoot();										// Grab root for reference.
	
	if NOT Visible(r.(what)) then
		r.(what):Open();											// Open if not open.
		
	else
		r.(what):MoveBehind(NIL);								// Bring to foreground if open.
		
	NIL;
end);		// end kOpenThingFunc()


_AllRouteFrames := [];

DefGlobalFn('AddRouteFrame, func(routeFrame) begin

	AddArraySlot(_AllRouteFrames, routeFrame);
	
end);
DeclareGlobalFn('AddRouteFrame, 1);

DefGlobalFn('AddRouteItem, func(title, icon, method) begin

	AddRouteFrame({
		title:	title,
		icon:		icon,
		routeScript:	method});

end);
DeclareGlobalFn('AddRouteItem, 3);

DefGlobalFn('AddOpenItem, func(title, icon, symbol) begin

	AddRouteItem(title, icon, func(x,y) call kOpenThingFunc with (symbol));
	
end);
DeclareGlobalFn('AddOpenItem, 3);

DefGlobalFn('AddSeparator, func() begin

	AddArraySlot(_AllRouteFrames, 'pickseparator);
	
end);
DeclareGlobalFn('AddSeparator, 0);

